import i18n from '@/vue/i18n';

/** @type {VuexStoreModule} */
export const shopStore = {
  state() {
    return {
      listPlatform: [{
        value: 'shopee',
        label: i18n.t('SELECT_PLATFORM.SHOPEE'),
      }, {
        value: 'tiktok',
        label: i18n.t('SELECT_PLATFORM.TIKTOK'),
      }, {
        value: 'lazada',
        label: i18n.t('SELECT_PLATFORM.LAZADA'),
      }],
    };
  },
  getters: {
    getListPlatform(state) {
      return state.listPlatform;
    },
  },
};
